using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class MainManager : MonoBehaviour
{
    #region 生成红外交互对象
    public GameObject spawnObj;
    #endregion
    // Start is called before the first frame update
    void Start()
    {
        spawnInfraredManager();
    }

    void spawnInfraredManager()
    {


        if (ScreenLocate.Main)
        {
            ScreenLocate.Main.mUIManagerSingle.showManager();
            return;
        }
        //初始化
        var infraredManager = GameObject.Instantiate(spawnObj);
        DontDestroyOnLoad(infraredManager);
        infraredManager.name = "WebCameraView";

    }
}
